HSDump(1)

NAME
hsdump - Dumps the handlespace of a RSerPool Registrar.

SYNOPSIS
hsdump [-address:port] [-cspserver=address:port] [-cspinterval=milliseconds] [-logappend=filename] [-logcolor=on|off] [-logfile=filename] [-loglevel=0-9]

DESCRIPTION
hsdump dumps the handlespace of a Reliable Server Pooling (RSerPool) Registrar (PR). For this purpose, it claims to be a peer registrar and requests the handlespace via ENRP. Handle with care!

ARGUMENTS
The following options are available:

address:port
    The ENRP address and port of the target registrar.

Component Status Protocol (CSP) Parameters:

    -cspinterval=milliseconds
        Sets the interval for the CSP status updates in milliseconds. By default, the content of the environment variable CSP_INTERVAL is used. If not defined, no CSP status reports will be sent.

    -cspserver=address:port
        Sets the address of a CSP monitor server. By default, the content of the environment variable CSP_SERVER is used. If not defined, no CSP status reports will be sent.

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ENVIRONMENT
hsdump uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
http://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006-final.pdf

Thomas Dreibholz's RSerPool Page:
http://tdrwww.iem.uni-due.de/dreibholz/rserpool/